      subroutine COLUM_Q(n,number_param,x,z)
c Подпрограмма заполнения массива производных по параметру Q
c от правых частей системы (массив Z(N), N - размерность системы)        
      implicit real*8 (a-h,o-z)
      implicit integer*4 (i-n)
      include 'Param_common.fi'
      common /W_Ypositive/ I_Ypositive
	real*8 x(1:n), z(1:n), dfdp(1:n,1:Nparam)
      include 'Param_Risol.fi'
c-----------------------------------------------------------------------
      if (I_Ypositive.eq.1) then
         do i=1,N
         x(i)=dmax1(0.d0,x(i))
         end do
      end if   
c      
      include 'fcnp.fi'
c
c Ошибки
      CALL error('Colum_Q')
c
      do i=1,n
      z(i)=dfdp(i,number_param)
      end do  
c      
******** end of COLUM_Q ************************************************
      return
	end 
	